%global pre b1

Name:           spambayes
Version:        1.1
Release:        0.10.%{pre}%{?dist}
Summary:        Bayesian anti-spam classifier written in Python
License:        Python
URL:            http://spambayes.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}%{pre}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-lockfile

%description
SpamBayes will attempt to classify incoming email messages as 'spam', 'ham'
(good, non-spam email) or 'unsure'. This means you can have spam or unsure
messages automatically filed away in a different mail folder, where it won't
interrupt your email reading. First SpamBayes must be trained by each user to
identify spam and ham. Essentially, you show SpamBayes a pile of email that
you like (ham) and a pile you don't like (spam). SpamBayes will then analyze
the piles for clues as to what makes the spam and ham different. For example;
different words, differences in the mailer headers and content style.  The
system then uses these clues to examine new messages.

%prep
%setup -q -n %{name}-%{version}%{pre}

# Fix rpmlint warnings
chmod -c -x *.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Add exec permission for modules that can be run directly
for f in %{buildroot}%{python_sitelib}/spambayes/*.py; do
  if head -n 1 $f | grep '^#![[:space:]]*/usr/bin/env python'; then
    chmod -c +x $f
  fi
done

%check
# Tests require plotmtv installed which is impossible for Fedora.
# And plotmtv is abandoned already.
#cd testtools && chmod +x dotest.sh && ./dotest.sh

%files
%doc *.txt
%{python2_sitelib}/spambayes*
%{_bindir}/core_server.py
%{_bindir}/sb_*.py

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.10.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Paul Howarth <paul@city-fan.org> - 1.1-0.9.b1
- Always BR: python-setuptools rather than python-setuptools-devel

* Wed Feb 26 2014 Christopher Meng <rpm@cicku.me> - 1.1-0.8.b1
- Update to 1.1b1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.7.a6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.7.a6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.6.a6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.5.a6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 11 2012 Paul Howarth <paul@city-fan.org> - 1.1-0.4.a6
- No need to specify CFLAGS for a noarch package

* Wed Feb  9 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.3.a6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 1.1-0.2.a6
- Add exec permission for modules that can be run directly
- Remove references to unused patch
- Add missing dependency on python-lockfile (#661942)

* Sun Sep 12 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1-0.1.a6
- Update to 1.1a6

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Sep  7 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.0.4-9
- Fix FTBFS: remove %%exclude of Python's byte-compiled files under %%{_bindir},
  not necessary anymore (has been fixed in brp-python-bytecompile)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.4-6
- Rebuild for Python 2.6

* Wed Oct 17 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-5
- Providing Eggs for non-setuptools packages (bz#325041)

* Fri Apr 27 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-4
- Remove python from package name

* Thu Apr 05 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-3
- Add patch to fix python2.5 errors

* Thu Apr 05 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-2
- %%exclude pyo and pyc files from %%{_bindir}
- Add scriptlet to remove shebangs

* Sat Mar 31 2007 Christopher Stone <chris.stone@gmail.com> 1.0.4-1
- Initial Fedora release
